package com.jpsoft.shinestar.modules.sys.dao;

import java.util.List;

import com.jpsoft.shinestar.modules.sys.entity.Role;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.sys.entity.UserRole;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface UserRoleDAO {
	int insert(UserRole entity);
	int update(UserRole entity);
	int exist(String id);
	UserRole get(String id);
	int delete(String id);
	List<UserRole> list();
	List<UserRole> search(Map<String,Object> searchParams,List<Sort> sortList);
    List<Role> findRoleByUserId(String userId);
	int deleteByUserId(String userId);
}